#version 120
#ifdef GL_ARB_shading_language_420pack
#extension GL_ARB_shading_language_420pack : require
#endif
#extension GL_EXT_gpu_shader4 : require
#extension GL_ARB_shader_image_load_store : require
layout(early_fragment_tests) in;

varying float dist_ratio;

void main()
{
    gl_FragData[0] = vec4(3.0, 0.0, 0.0, dist_ratio);
}

